Failed to start Load/Save RF Kill Switch Status

Bug #1921696 reported by Per-Inge on 2021-03-29
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
systemd
Fix Released
Unknown
systemd (Ubuntu)
Undecided
Balint Reczey
Focal
Low
Dan Streetman
Groovy
Low
Dan Streetman

Bug Description

[impact]

systemd-rfkill fails when running under kernel 5.10 or later due to change in the kernel/userspace api

[test case]

on a system with kernel 5.10 or later, check systemd-rfkill status or journal output, see comment 3 for specific failure text

[regression]

any regression would almost certainly cause problems with the systemd-rfkill service and/or systemd-rfkill binary

[scope]

this is needed for focal

this was fixed upstream in commit a71c09685021cbcecb7566a00342421f635cc002 which was backported to h in version 247.3-3ubuntu3.

since this only occurs with kernel 5.10 or later, no releases earlier than f are affected because they will never receive kernel 5.10.

since the HWE kernel in f will be updated to 5.10 once 21.04 is released, this is needed for f. Since a user could upgrade to the 5.10 HWE kernel in f, and then do-release-upgrade to g before it EOL, this is also needed in g.

[original description]

When I boot the system I get these lög messages
- Failed to start Load/Save RF Kill Switch Statu
- A start job for unit systemd-rfkill.service has failed
and with sender systemd-rfkil
Read event structure of invalid size

Also happens on an Ubuntu system on the same computer.

System details

p-i@pi-tuf-b550m-wifi:~$ inxi -Fz
System: Kernel: 5.11.0-11-generic x86_64 bits: 64 Desktop: Cinnamon 4.8.6 Distro: Ubuntu 21.04 (Hirsute Hippo)
Machine: Type: Desktop System: ASUS product: N/A v: N/A serial: <filter>
           Mobo: ASUSTeK model: TUF GAMING B550M-PLUS (WI-FI) v: Rev X.0x serial: <filter> UEFI: American Megatrends v: 1804
           date: 02/02/2021
CPU: Info: 6-Core model: AMD Ryzen 5 5600X bits: 64 type: MT MCP L2 cache: 3 MiB
           Speed: 2509 MHz min/max: 2200/4791 MHz Core speeds (MHz): 1: 2509 2: 2237 3: 2858 4: 2236 5: 2235 6: 2238 7: 2798
           8: 2239 9: 2238 10: 2233 11: 2236 12: 2234
Graphics: Device-1: Advanced Micro Devices [AMD/ATI] Navi 10 [Radeon RX 5600 OEM/5600 XT / 5700/5700 XT] driver: amdgpu
           v: kernel
           Display: x11 server: X.Org 1.20.10 driver: loaded: amdgpu,ati unloaded: fbdev,modesetting,radeon,vesa
           resolution: 2560x1440~60Hz
           OpenGL: renderer: AMD Radeon RX 5700 (NAVI10 DRM 3.40.0 5.11.0-11-generic LLVM 11.0.1) v: 4.6 Mesa 21.0.1
Audio: Device-1: Advanced Micro Devices [AMD/ATI] Navi 10 HDMI Audio driver: snd_hda_intel
           Device-2: Advanced Micro Devices [AMD] Starship/Matisse HD Audio driver: snd_hda_intel
           Device-3: Logitech Webcam C250 type: USB driver: snd-usb-audio,uvcvideo
           Sound Server: ALSA v: k5.11.0-11-generic
Network: Device-1: Intel Wi-Fi 6 AX200 driver: iwlwifi
           IF: wlp6s0 state: down mac: <filter>
           Device-2: Realtek RTL8125 2.5GbE driver: r8169
           IF: enp7s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
           IF-ID-1: vmnet1 state: unknown speed: N/A duplex: N/A mac: <filter>
           IF-ID-2: vmnet8 state: unknown speed: N/A duplex: N/A mac: <filter>
Bluetooth: Device-1: Intel AX200 Bluetooth type: USB driver: btusb
           Report: ID: hci0 state: up running pscan bt-v: 3.0 address: <filter>
Drives: Local Storage: total: 1.36 TiB used: 97.88 GiB (7.0%)
           ID-1: /dev/nvme0n1 vendor: Corsair model: Force MP600 size: 465.76 GiB
           ID-2: /dev/nvme1n1 vendor: Kingston model: SA2000M8500G size: 465.76 GiB
           ID-3: /dev/sda vendor: Samsung model: SSD 860 EVO 500GB size: 465.76 GiB
Partition: ID-1: / size: 456.96 GiB used: 97.84 GiB (21.4%) fs: ext4 dev: /dev/nvme0n1p2
           ID-2: /boot/efi size: 511 MiB used: 33.3 MiB (6.5%) fs: vfat dev: /dev/nvme0n1p1
Swap: ID-1: swap-1 type: file size: 2 GiB used: 0 KiB (0.0%) file: /swapfile
Sensors: System Temperatures: cpu: 35.9 C mobo: 39.0 C gpu: amdgpu temp: 40.0 C
           Fan Speeds (RPM): fan-1: 698 fan-2: 937 fan-3: 711 fan-7: 931 gpu: amdgpu fan: 0
Info: Processes: 372 Uptime: 13m Memory: 15.54 GiB used: 1.88 GiB (12.1%) Shell: Bash inxi: 3.3.01
p-i@pi-tuf-b550m-wifi:~$

ProblemType: Bug
DistroRelease: Ubuntu 21.04
Package: systemd 247.3-3ubuntu1
ProcVersionSignature: Ubuntu 5.11.0-11.12-generic 5.11.0
Uname: Linux 5.11.0-11-generic x86_64
ApportVersion: 2.20.11-0ubuntu61
Architecture: amd64
CasperMD5CheckResult: unknown
CurrentDesktop: X-Cinnamon
Date: Mon Mar 29 10:12:21 2021
InstallationDate: Installed on 2021-02-05 (51 days ago)
InstallationMedia: Ubuntu 21.04 "Hirsute Hippo" - Alpha amd64 (20210203)
MachineType: ASUS System Product Name
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.11.0-11-generic root=UUID=d37b6e75-43a0-4e56-85c1-4a6ef8e1ffc9 ro acpi_enforce_resources=lax quiet splash vt.handoff=7
SourcePackage: systemd
SystemdDelta:
 [EXTENDED] /usr/lib/systemd/system/rc-local.service → /usr/lib/systemd/system/rc-local.service.d/debian.conf
 [EXTENDED] /usr/lib/systemd/system/systemd-localed.service → /usr/lib/systemd/system/systemd-localed.service.d/locale-gen.conf
 [EXTENDED] /usr/lib/systemd/system/user@.service → /usr/lib/systemd/system/user@.service.d/timeout.conf

 3 overridden configuration files found.
SystemdFailedUnits:
 Error: command ['systemctl', 'status', '--full', '●'] failed with exit code 4: Invalid unit name "●" escaped as "\xe2\x97\x8f" (maybe you should use systemd-escape?).
 Unit \xe2\x97\x8f.service could not be found.
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/02/2021
dmi.bios.release: 5.17
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1804
dmi.board.asset.tag: Default string
dmi.board.name: TUF GAMING B550M-PLUS (WI-FI)
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Default string
dmi.chassis.version: Default string
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1804:bd02/02/2021:br5.17:svnASUS:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnTUFGAMINGB550M-PLUS(WI-FI):rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: System Product Name
dmi.product.sku: SKU
dmi.product.version: System Version
dmi.sys.vendor: ASUS

Revision history for this message
Per-Inge (per-inge-hallin) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in systemd (Ubuntu):
status: New → Confirmed
Revision history for this message
Jhair Tocancipa Triana (jhair-tocancipa-j) wrote :

Seems to be related to https://github.com/systemd/systemd/issues/18677

$ journalctl --unit systemd-rfkill.service -f
-- Journal begins at Sat 2021-04-03 21:08:41 CEST. --
Apr 04 19:18:24 localhost-laptop systemd[1]: Starting Load/Save RF Kill Switch Status...
Apr 04 19:18:24 localhost-laptop systemd-rfkill[572]: Read event structure of invalid size.
Apr 04 19:18:24 localhost-laptop systemd[1]: systemd-rfkill.service: Main process exited, code=exited, status=1/FAILURE
Apr 04 19:18:24 localhost-laptop systemd[1]: systemd-rfkill.service: Failed with result 'exit-code'.
Apr 04 19:18:24 localhost-laptop systemd[1]: Failed to start Load/Save RF Kill Switch Status.
Apr 04 19:18:25 localhost-laptop systemd[1]: Starting Load/Save RF Kill Switch Status...
Apr 04 19:18:25 localhost-laptop systemd-rfkill[849]: Read event structure of invalid size.
Apr 04 19:18:25 localhost-laptop systemd[1]: systemd-rfkill.service: Main process exited, code=exited, status=1/FAILURE
Apr 04 19:18:25 localhost-laptop systemd[1]: systemd-rfkill.service: Failed with result 'exit-code'.
Apr 04 19:18:25 localhost-laptop systemd[1]: Failed to start Load/Save RF Kill Switch Status.

Balint Reczey (rbalint) on 2021-04-06
Changed in systemd (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Balint Reczey (rbalint)
Revision history for this message
fprietog (fprietog) wrote :

Same problem here in different architecture:
O.S. Ubuntu 21.04 Beta arm64 (Raspberry Pi 4B 8Gb).

Fails during boot:

# systemctl status systemd-rfkill.service
● systemd-rfkill.service - Load/Save RF Kill Switch Status
     Loaded: loaded (/lib/systemd/system/systemd-rfkill.service; static)
     Active: failed (Result: exit-code) since Sat 2021-04-10 09:19:40 CEST; 8min ago
TriggeredBy: ● systemd-rfkill.socket
       Docs: man:systemd-rfkill.service(8)
    Process: 786 ExecStart=/lib/systemd/systemd-rfkill (code=exited, status=1/FAILURE)
   Main PID: 786 (code=exited, status=1/FAILURE)
      Error: 5 (Error de entrada/salida)

abr 10 09:19:40 fpgrpi systemd[1]: Starting Load/Save RF Kill Switch Status...
abr 10 09:19:40 fpgrpi systemd-rfkill[786]: Read event structure of invalid size.
abr 10 09:19:40 fpgrpi systemd[1]: systemd-rfkill.service: Main process exited, code=exited, status=1/FAILURE
abr 10 09:19:40 fpgrpi systemd[1]: systemd-rfkill.service: Failed with result 'exit-code'.
abr 10 09:19:40 fpgrpi systemd[1]: Failed to start Load/Save RF Kill Switch Status.

But after boot if it's started manually (systemctl start systemd-rfkill.service) it starts without errors.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 247.3-3ubuntu3

---------------
systemd (247.3-3ubuntu3) hirsute; urgency=medium

  * Make systemd-rfkill work with latest Linux kernels (LP: #1921696)
    Files:
    - debian/patches/lp1921696/rfkill-improve-error-logging.patch
    - debian/patches/lp1921696/rfkill-use-short-writes-and-accept-long-reads.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7fc7bece33c21b155822ef6640adffb0e703da50
  * LoadCredentials: do not assert on invalid syntax
    File: debian/patches/LoadCredentials-do-not-assert-on-invalid-syntax.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5e7f913d0fd36b0800a8d99f809f61d263200343

 -- Balint Reczey <email address hidden> Wed, 07 Apr 2021 17:57:49 +0200

Changed in systemd (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Per-Inge (per-inge-hallin) wrote :

Didn't get the log message about rfkill after boot this morning.
After update today I have systemd 247.3-3ubuntu3 installed.

Dan Streetman (ddstreet) on 2021-04-12
description: updated
Changed in systemd (Ubuntu Groovy):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Focal):
assignee: nobody → Dan Streetman (ddstreet)
Changed in systemd (Ubuntu Groovy):
importance: Undecided → Low
Changed in systemd (Ubuntu Focal):
importance: Undecided → Low
Changed in systemd (Ubuntu Groovy):
status: New → In Progress
Changed in systemd (Ubuntu Focal):
status: New → In Progress
Changed in systemd:
status: Unknown → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Per-Inge, or anyone else affected,

Accepted systemd into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/246.6-1ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-groovy
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Per-Inge, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Per-Inge (per-inge-hallin) wrote : Re: [Bug 1921696] Re: Failed to start Load/Save RF Kill Switch Status
Download full text (8.9 KiB)

Installed Ubuntu 20.04.
Enabled "Developer Options".
Updated and systemd 245.4-4ubuntu3.7 was installed. Rebooted and the system
booted and worked OK.
However the installed version of Ubuntu 20.04 use Kernel: 5.8.0-54-generic
x86_64.
Bluetooth works fine.

Den ons 2 juni 2021 kl 01:15 skrev Brian Murray <<email address hidden>
>:

> Hello Per-Inge, or anyone else affected,
>
> Accepted systemd into focal-proposed. The package will build now and be
> available at
> https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.7 in a few
> hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
> to enable and use -proposed. Your feedback will aid us getting this
> update out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, what testing has been
> performed on the package and change the tag from verification-needed-
> focal to verification-done-focal. If it does not fix the bug for you,
> please add a comment stating that, and change the tag to verification-
> failed-focal. In either case, without details of your testing we will
> not be able to proceed.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance for helping!
>
> N.B. The updated package will be released to -updates after the bug(s)
> fixed by this package have been verified and the package has been in
> -proposed for a minimum of 7 days.
>
> ** Changed in: systemd (Ubuntu Focal)
> Status: In Progress => Fix Committed
>
> ** Tags added: verification-needed-focal
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1921696
>
> Title:
> Failed to start Load/Save RF Kill Switch Status
>
> Status in systemd:
> Fix Released
> Status in systemd package in Ubuntu:
> Fix Released
> Status in systemd source package in Focal:
> Fix Committed
> Status in systemd source package in Groovy:
> Fix Committed
>
> Bug description:
> [impact]
>
> systemd-rfkill fails when running under kernel 5.10 or later due to
> change in the kernel/userspace api
>
> [test case]
>
> on a system with kernel 5.10 or later, check systemd-rfkill status or
> journal output, see comment 3 for specific failure text
>
> [regression]
>
> any regression would almost certainly cause problems with the systemd-
> rfkill service and/or systemd-rfkill binary
>
> [scope]
>
> this is needed for focal
>
> this was fixed upstream in commit
> a71c09685021cbcecb7566a00342421f635cc002 which was backported to h in
> version 247.3-3ubuntu3.
>
> since this only occurs with kernel 5.10 or later, no releases earlier
> than f are affected because they will never receive kernel 5.10.
>
> since the HWE kernel in f will be updated to 5.10 once 21.04 is
> released, this is needed for f. Since a user could upgrade to the 5.10
> HWE kernel in f, and then do-release-upgrade to g before it EOL, this
> ...

Read more...

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/246.6-1ubuntu1.4)

All autopkgtests for the newly accepted systemd (246.6-1ubuntu1.4) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

casync/2+20190213-1 (s390x)
udisks2/2.9.1-2ubuntu1 (arm64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Dan Streetman (ddstreet) wrote :

installed 5.11 kernel on a test laptop, first with focal then with groovy, and verified no rfkill errors when running the -proposed systemd package

tags: added: verification-done verification-done-focal verification-done-groovy
removed: verification-needed verification-needed-focal verification-needed-groovy
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.